Issue 118605 - IP clearance, remove license incompatible epm
Summary: IP clearance, remove license incompatible epm
Status: CLOSED FIXED
Alias: None
Product: Build Tools
Classification: Code
Component: code (show other issues)
Version: version58
Hardware: PC Linux, all
: P5 (lowest) Normal (vote)
Target Milestone: ---
Assignee: jsc
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 118566
  Show dependency tree
 
Reported: 2011-11-15 12:51 UTC by jsc
Modified: 2012-06-13 12:30 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description jsc 2011-11-15 12:51:07 UTC
the used epm is under GPL and we can't host the sources anymore. It is used during the build process only and we will make it a prerequisite.

This issue cover the removal of the epm sources
Comment 1 jsc 2011-11-25 10:11:39 UTC
solved http://svn.apache.org/viewvc?rev=1206110&view=rev

epm is now handled similar to dmake and can be seen as a prerequisite.

1. epm is searched on the path and has to be a patched version of epm 3.7

2. --with-epm=<path_to_epm> where the path has to point to a patched version of epm 3.7

3. --with-epm-url=<url_to_epm-3.7-sources> for example "http://ftp.easysw.com/pub/epm/3.7/epm-3.7-source.tar.gz"
The original source package is downloaded and build if explicitly triggered by using this configure switch. "configure --help" will provide the link to the original source.

4. --disable-epm, disables epm and on platforms where epm is required no packages are build.
Comment 2 hdu@apache.org 2012-05-11 11:10:14 UTC
Closing resolved issue.
Comment 3 Oliver-Rainer Wittmann 2012-06-13 12:30:18 UTC
getting rid of value "enhancement" for field "severity".
For enhancement the field "issue type" shall be used.